// Copyright (C) 2002 Neil Stevens <neil@hakubi.us>
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
// THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
// AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
// CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//
// Except as contained in this notice, the name(s) of the author(s) shall not be
// used in advertising or otherwise to promote the sale, use or other dealings
// in this Software without prior written authorization from the author(s).

#include <klocale.h>
#include "cmodule.h"
#include "shell.h"

Hayes::Shell::Shell(QWidget *p, const char *n, bool m, Module *module)
	: KDialogBase(p, n, m, QString::null, Ok | Cancel, Ok, true,
	              i18n("Default"), i18n("System Default"), i18n("Reset"))
{
	resize(600, 400);
	if(module) setModule(module);
}

void Hayes::Shell::setModule(Module *module)
{
	setMainWidget(module);
	module->reopen();
	setCaption(i18n("Configure Hayes"));

	enableButton(Apply, false);
	enableButton(Cancel, true);
	enableButton(Ok, true);
	enableButton(User1, false);
	enableButton(User2, false);
	enableButton(User3, false);
}

Hayes::Module *Hayes::Shell::module(void)
{
	return static_cast<Module *>(mainWidget());
}

void Hayes::Shell::accept(void)
{
	if(!module()) return;

	module()->save();
	KDialogBase::accept();
}

void Hayes::Shell::show(void)
{
	if(!module()) return;

	module()->reopen();
	KDialogBase::show();
}

#include "shell.moc"
// arch-tag: shell.cpp
